aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-udev/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-06-23 13:58:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-06-24 08:42:38 +0000
commit60f4944924ede17cb711ccd7efab7da50f36bd72 (patch)
treec9e38faab12caccdb0dacf461239fe5721c54da4 /community/py-udev/APKBUILD
parent375900cdf8baf5161491756911dd884d51c19cca (diff)
downloadaports-60f4944924ede17cb711ccd7efab7da50f36bd72.tar.gz
aports-60f4944924ede17cb711ccd7efab7da50f36bd72.tar.bz2
aports-60f4944924ede17cb711ccd7efab7da50f36bd72.tar.xz
community/py-udev: move from testing
also set noarch and add eudev to depends needed by targetcli. ref #5763
Diffstat (limited to 'community/py-udev/APKBUILD')
-rw-r--r--community/py-udev/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/community/py-udev/APKBUILD b/community/py-udev/APKBUILD
new file mode 100644
index 0000000000..c3ca9fc29b
--- /dev/null
+++ b/community/py-udev/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-udev
+pkgver=0.20.0
+pkgrel=0
+pkgdesc="Python bindings to libudev"
+url="http://pyudev.readthedocs.org"
+arch="noarch"
+license="LGPLv2.1"
+depends="python eudev"
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="py-udev-$pkgver.tar.gz::https://github.com/pyudev/pyudev/archive/v$pkgver.tar.gz"
+builddir="$srcdir/pyudev-$pkgver"
+
+build() {
+ cd "$builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e8b28775db6c6eecc2b7389fca96abdf py-udev-0.20.0.tar.gz"
+sha256sums="a4dcef45ebdd58882112659c0d206c9af1f9ee707bf54245b23c8b70326ee8ef py-udev-0.20.0.tar.gz"
+sha512sums="a04374df8d9f4b6ef10ba5bf1e185ee69928cb645abba682048b8edd557c3593feb2cf5ddbb681ee8e47e10d004f930493b247caa1d41046d16d729fbee6f778 py-udev-0.20.0.tar.gz"